# pcap.h File Reference

`#include <pcap-stdinc.h>`
`#include <net/bpf.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Data Structures
struct | pcap_file_header
| Header of a libpcap dump file. More...
struct | pcap_pkthdr
| Header of a packet in the dump file. More...
struct | pcap_stat
| Structure that keeps statistical values on an interface. More...
struct | pcap_if
| Item in a list of interfaces, used by pcap_findalldevs(). More...
struct | pcap_addr
| Representation of an interface address, used by pcap_findalldevs(). More...
## Defines
#define | PCAP_VERSION_MAJOR 2
| Major libpcap dump file version.
#define | PCAP_VERSION_MINOR 4
| Minor libpcap dump file version.
#define | PCAP_ERRBUF_SIZE 256
| Size to use when allocating the buffer that contains the libpcap errors.
#define | PCAP_IF_LOOPBACK 0x00000001
| interface is loopback
#define | MODE_CAPT 0
| Capture mode, to be used when calling pcap_setmode().
#define | MODE_STAT 1
| Statistical mode, to be used when calling pcap_setmode().
## Typedefs
typedef int | bpf_int32
| 32-bit integer
typedef u_int | bpf_u_int32
| 32-bit unsigned integer
typedef struct pcap | pcap_t
| Descriptor of an open capture instance. This structure is opaque to the user, that handles its content through the functions provided by wpcap.dll.
typedef struct pcap_dumper | pcap_dumper_t
| libpcap savefile descriptor.
typedef struct pcap_if | pcap_if_t
| Item in a list of interfaces, see pcap_if.
typedef struct pcap_addr | pcap_addr_t
| Representation of an interface address, see pcap_addr.

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.